/***************************************************************************
 *            chat.c
 *
 *
 * r00t
 ****************************************************************************/
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */



#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <ctype.h>
#include <time.h>
#include <sys/types.h>
#include <pwd.h>
#include "NetixxxChat.h"


/***
 *** shows program's credits
***/
void show_credits()
{
	printf("r00t[ati] r00t@bl4ckh0l3.com");
	fflush(stdout);
}


/***
 *** returns a string containing current username
***/
char *getuserid()
{
    struct passwd *uidp = getpwuid(geteuid());

    return uidp->pw_name;
}


/***
 *** returns a string containing date and time
***/
char *getdateandtime()
{
    time_t calendtime;
    struct tm *ptime;
    char *ret;

    calendtime = time(NULL);
    ptime = localtime(&calendtime);

    ret = asctime(ptime);
    ret[24] = '\0';

    return ret;
}


/***
 *** shows a divisor of length DIVLEN
***/
void divisor()
{
	int i;
	char str[DIVLEN+1] = "";

	for (i=0; i<DIVLEN; i++)
		str[i] = '-';
	str[i] = '\0';

	printf("%s\n", str);
	fflush(stdout);
}


/***
 *** splits a string "buf" into many arguments "args"
***/
/* splitLine
 *  Breaks a string into a sequence of words. The pointer to each
 *  successive word is placed into an array. The function
 *  returns the number of words found.
 *
 * Parameters:
 *  buf - the string to be broken up into words
 *  argv - the array where pointers to the separate words should go.
 *  max_args - the maximum number of pointers that the array can hold.
 *
 * Returns:
 *  the number of words found in the string.
 */
int split(char *buf, char **argv, int max_args)
{
	int arg;

	while (isspace(*buf))
		buf++;

	for (arg=0; (arg<max_args)&&(*buf!='\0'); arg++)
	{
		argv[arg] = buf;

		while ((*buf!='\0')&&(!isspace(*buf)))
			buf++;

		if (*buf!='\0')
		{
			*buf = '\0';
			buf++;
		}

		while (isspace(*buf))
			buf++;
	}

	return arg;
}
